function DrehstromgeneratorAuto_S62_P
%function DrehstromgeneratorAuto_S62_P
%RSt- Widerstand Drehstromwicklung   / 3-phase coils: resistor // [Ohm]
%LSt- Induktivitt Drehstromwicklung / 3-phase coils: inductor // [H]
%p  - Anzahl der Klauenpolpaare      / number claw-pole pairs  // [-]
%RE - Widerstand Erregerwicklung     / exciting coil: resistor // [Ohm]
%LE - Induktivitt Erregerwicklung   / exciting coil: inductor // [H]
%c1 - Proportionalittsfaktor        / proportional factor     // [Vs/A]
%c2 - Proportionalittsfaktor        / proportional factor     // [-]
%iE0- Anfangswert Erregerstrom       / Exciting current: initial value // [A]

assignin('base','RSt',0.001); % [Ohm]
assignin('base','LSt',0.001); % [H]
assignin('base','p',6);       % [-]
assignin('base','RE',0.214);  % [Ohm]
assignin('base','LE',0.002);  % [H]
assignin('base','c1',0.05);   % [Vs/A]
assignin('base','c2',0.05);   % [-]
assignin('base','iE0',1.9);   % [A]

txt1='Parameter fr Bondgraph Beispiel Drehstromgenerator (Scherf 6.2) geladen!';
txt2='Parameter loaded - bond graph example three-phase AC generator (Scherf 6.2)';
disp([txt1 sprintf('\n') txt2]);