function StickSlipEffekt_S32_P
%function StickSlipEffekt_S32_P
%c  -   Federsteifigkeit    / spring coefficient     // [N/m]
%m  -   Masse Klotz         / mass of the block      // [Kg]
%FGR-   Gleitreibungskraft  / sliding friction force // [N]
%FHR-   Haftreibungskraft   / static friction        // [N]
%dF -   Delta-F             / delta force            // [N]
%vB -   Bandgeschwindigkeit / speed of the belt      // [m/s]
%Tv -   Abklingkonstante    / go down constant       // [m/s]

assignin('base','c',80);         % [N/m]
assignin('base','m',1);          % [kg]
assignin('base','FGR',7);        % [N]
assignin('base','FHR',10);       % [N]
evalin('base','dF=FHR-FGR;');    % [N] computation in MATLAB workspace
assignin('base','vB',0.1);       % [m/s]
assignin('base','Tv',0.1);       % [m/s]

txt1='Parameter fr Bondgraph Beispiel Stick-Slip-Effekt (Scherf 3.2) geladen!';
txt2='Parameter loaded - bond graph example Stick-Slip-Effect (Scherf 3.2)';
disp([txt1 sprintf('\n') txt2]);