function WegloseWaage_S65_P
%function WegloseWaage_S65_P
%R  -   Ohmscher Widerstand der Spule / resistor of the coil  // [Ohm]
%L  -   Induktivitt der Spule        / inductance            // [H]
%KG -   Erregung (Generatorkonstante) / generator coefficient // [Vs/m]
%c  -   Federkonstante                / spring coefficient    // [N/m]
%d  -   Dmpfung, v-proportional      / damping coefficient   // [Ns/m]
%mP -   Masse der Plattform           / mass of the platform  // [kg]
%g  -   Erdbeschleunigung             / gravity coefficient   // [m/s^2]
%m  -   Masse, zu wiegend             / mass to be scaled     // [kg]

assignin('base','R',1);     % [Ohm]
assignin('base','L',0.02);  % [H]
assignin('base','KG',5);    % [Vs/m]
assignin('base','c',1500);  % [N/m]
assignin('base','d',8.5);   % [Ns/m]
assignin('base','mP',0.03); % [kg]
assignin('base','g',9.81);  % [m/s^2]
assignin('base','m',0.05);  % [kg]

txt1='Parameter fr Bondgraph Beispiel Weglose Waage (Scherf 6.5) geladen!';
txt2='Parameter loaded - bond graph example scales without steady deviation (Scherf 6.5)';
disp([txt1 sprintf('\n') txt2]);